Page MenuHomePhabricator

Persistently storing a new Sense
Closed, ResolvedPublic8 Story Points

Description

As an editor I want to be able to make and edit that persists over reloads and is visible to other editors in order to make meaningful contributions.

Problem:
Currently when saving a newly added Sense on a Lexeme it looks like it is saved but when you reload the page it is gone.

Acceptance criteria:

  • When reloading the page the Sense I added before the reload is still there.

BDD
GIVEN I am on a Lexeme page
AND I add a new Sense
WHEN I reload the page
THEN the new Sense is still there

Event Timeline

RazShuty set the point value for this task to 8.Jun 26 2018, 11:10 AM
Vvjjkkii renamed this task from Persistently storing a new Sense to feaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
CommunityTechBot set the point value for this task to 8.Jul 2 2018, 10:25 AM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from feaaaaaaaa to Persistently storing a new Sense.

Change 444899 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Add Lexeme::addSense() and Lexeme::removeSense()

https://gerrit.wikimedia.org/r/444899

Change 444904 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Add BlankSense, DummySenseId, NullSenseId

https://gerrit.wikimedia.org/r/444904

Change 444905 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Add Lexeme::addOrUpdateSense()

https://gerrit.wikimedia.org/r/444905

Change 444899 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add Lexeme::addSense() and Lexeme::removeSense()

https://gerrit.wikimedia.org/r/444899

Change 444904 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add BlankSense, DummySenseId, NullSenseId

https://gerrit.wikimedia.org/r/444904

Change 444905 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add Lexeme::addOrUpdateSense()

https://gerrit.wikimedia.org/r/444905

@Lydia_Pintscher This is actually testable in beta cluster now. The UI needs some polish but overall it works.

Yay :)
Indeed we have to clean it up a bit still but yay!

Wohoooooo! This is starting to take shape \o/
One small thing I hope we can still solve in this ticket: The second Gloss of a Sense is gray instead of black. This implies that one is "better/more important/..." than the others, which is not the case. Can we remove the difference in styling?

Change 448061 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Do not color code glosses

https://gerrit.wikimedia.org/r/448061

Change 448061 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Do not color code glosses

https://gerrit.wikimedia.org/r/448061

hoo added a subscriber: hoo.

AFAICT this is fully done now.

Lydia_Pintscher closed this task as Resolved.Jul 30 2018, 2:40 PM
Lydia_Pintscher claimed this task.

\o/